package com.cirle.scientific.service;

import java.util.List;
import java.util.Map;

import com.cirle.scientific.dto.QkjLiveDetailDTO;
import com.cirle.scientific.po.QkjLive;
import com.cirle.scientific.pojo.Result;

import javax.servlet.http.HttpServletRequest;


public interface LiveService {

	List<QkjLiveDetailDTO> getLiveList(String memCard, Integer catalogsId, Integer page, Integer size);

    Map<String, Object> pageLiveList(String memCard, Integer catalogsId, Integer page, Integer size,boolean isPC);

    Result<QkjLiveDetailDTO> getLiveDetail(Long liveId, String memCard);

    Result getLiveComments(String memCard, Long liveId, Integer cId);

    boolean addLiveComment(Long liveId, String memCard, String content);

    Result infoByMember(Long liveId, String memCard);

    Result<Map<String, Object>> reserveOrBets(String memCard, String liveId);

    Result indexData(String memCard);
    Result indexData(String memCard, Integer status);

    QkjLive getLiveInfo(Long liveId);

    Result saveQuestionAnswer(String memCard, String questions, Integer liveId);

    void pushStreamCallback(HttpServletRequest request);

    Result autoIncNum(String params);


    /**
     * 获取观看直播的人的具体信息
     *
     * @param memCard
     * @param liveId
     * @return
     */

    Result getUserInfoByLiveId(String memCard, Integer liveId);
}
